# set

inline suspend fun < Key , Value > WriteKeyValueRepo < Key , Value >. set (vararg toSet: Pair < Key , Value >)(source)

Vararg overload of WriteKeyValueRepo.set accepting pairs.

#### Parameters

toSet

Key-value pairs to set

inline suspend fun < Key , Value > WriteKeyValueRepo < Key , Value >. set (toSet: List < Pair < Key , Value >>)(source)

List overload of WriteKeyValueRepo.set accepting a list of pairs.

#### Parameters

toSet

List of key-value pairs to set

inline suspend fun < Key , Value > WriteKeyValueRepo < Key , Value >. set (k: Key , v: Value )(source)

Single-entry overload of WriteKeyValueRepo.set.

#### Parameters

k

Key to set

v

Value to associate with k

inline suspend fun < Key , Value , REPO : WriteKeyValuesRepo < Key , Value >> REPO . set (keysAndValues: List < Pair < Key , List < Value >>>)(source)

List-of-pairs overload of WriteKeyValuesRepo.set.

#### Parameters

keysAndValues

List of key to list-of-values pairs to set

inline suspend fun < Key , Value , REPO : WriteKeyValuesRepo < Key , Value >> REPO . set (vararg keysAndValues: Pair < Key , List < Value >>)(source)

Vararg overload of WriteKeyValuesRepo.set.

#### Parameters

keysAndValues

Key to list-of-values pairs to set

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. set (k: Key , v: List < Value >)(source)

Single-key overload of WriteKeyValuesRepo.set accepting a list of values.

#### Parameters

k

Key to set values for

v

List of values to set

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. set (k: Key , vararg v: Value )(source)

Single-key vararg overload of WriteKeyValuesRepo.set.

#### Parameters

k

Key to set values for

v

Values to set